Bug 108408 - Make syslogd a PIE
Summary: Make syslogd a PIE
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sysklogd   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 107774
TreeView+ depends on / blocked
 
Reported: 2003-10-29 03:04 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-13 11:12:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to enable building as PIE (406 bytes, patch)
2003-10-29 03:05 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2003-10-29 03:04:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20031028
Firebird/0.7+

Description of problem:
syslogd is long running and takes input from users.  A perfect candidate for a
PIE.  I'll attach a patch.

Version-Release number of selected component (if applicable):
sysklogd-1.4.1-13

How reproducible:
Always

Steps to Reproduce:
1.readelf -h /sbin/syslogd|fgrep Type
2.
3.
    

Actual Results:    Type:                              EXEC (Executable file)


Expected Results:    Type:                              DYN (Shared object file)


Additional info:

Comment 1 Ulrich Drepper 2003-10-29 03:05:16 UTC
Created attachment 95561 [details]
Patch to enable building as PIE

Comment 2 Thomas Woerner 2004-02-13 11:12:32 UTC
Fixed in rawhide in rpm sysklogd-1.4.1-13 or newer.


Note You need to log in before you can comment on or make changes to this bug.